/**   
* @Title: AlipayResponseParameterForRefund.java 
* @Package com.platform.response.json 
* @Description: TODO(用一句话描述该文件做什么) 
* @author kiosk
* @date 2017年9月11日 下午1:51:15 
* @version V1.0   
*/
package com.platform.response.json;

import java.util.Date;
import java.util.List;

import com.alipay.api.domain.TradeFundBill;


/** 
 * @ClassName: AlipayResponseParameterForRefund 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author kiosk
 * @date 2017年9月11日 下午1:51:15 
 *  
 */
public class AlipayResponseParameterForRefund {
	private String code;//网关返回码
	private String msg;//网关返回码信息
	private String sub_code;//业务返回码
	private String sub_msg;//业务返回码信息
	private String sign;//签名
	private String trade_no;//支付宝交易号;
	private String out_trade_no; //商户订单号  
	private String buyer_logon_id;//用户的登录id 
	private String fund_change;//本次退款是否发生了资金变化 
	private String refund_fee;//退款总金额 
	private Date gmt_refund_pay;//退款支付时间 
	private List<TradeFundBill> refund_detail_item_list;//退款使用的资金渠道
	private String store_name;//交易在支付时候的门店名称 
	private String buyer_user_id;//买家在支付宝的用户id 
    public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getSub_code() {
		return sub_code;
	}
	public void setSub_code(String sub_code) {
		this.sub_code = sub_code;
	}
	public String getSub_msg() {
		return sub_msg;
	}
	public void setSub_msg(String sub_msg) {
		this.sub_msg = sub_msg;
	}
	public String getSign() {
		return sign;
	}
	public void setSign(String sign) {
		this.sign = sign;
	}
	public String getTrade_no() {
		return trade_no;
	}
	public void setTrade_no(String trade_no) {
		this.trade_no = trade_no;
	}
	public String getOut_trade_no() {
		return out_trade_no;
	}
	public void setOut_trade_no(String out_trade_no) {
		this.out_trade_no = out_trade_no;
	}
	public String getBuyer_logon_id() {
		return buyer_logon_id;
	}
	public void setBuyer_logon_id(String buyer_logon_id) {
		this.buyer_logon_id = buyer_logon_id;
	}
	public String getFund_change() {
		return fund_change;
	}
	public void setFund_change(String fund_change) {
		this.fund_change = fund_change;
	}
	public String getRefund_fee() {
		return refund_fee;
	}
	public void setRefund_fee(String refund_fee) {
		this.refund_fee = refund_fee;
	}
	public Date getGmt_refund_pay() {
		return gmt_refund_pay;
	}
	public void setGmt_refund_pay(Date gmt_refund_pay) {
		this.gmt_refund_pay = gmt_refund_pay;
	}
	public List<TradeFundBill> getRefund_detail_item_list() {
		return refund_detail_item_list;
	}
	public void setRefund_detail_item_list(
			List<TradeFundBill> refund_detail_item_list) {
		this.refund_detail_item_list = refund_detail_item_list;
	}
	public String getStore_name() {
		return store_name;
	}
	public void setStore_name(String store_name) {
		this.store_name = store_name;
	}
	public String getBuyer_user_id() {
		return buyer_user_id;
	}
	public void setBuyer_user_id(String buyer_user_id) {
		this.buyer_user_id = buyer_user_id;
	}
	

}
